package com.brilliance.isc.model.lgb;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * (Lgb)实体类
 *
 * @author makejava
 * @since 2023-01-11 16:42:42
 */
public class Lgb {
    private static final long serialVersionUID = 507096494102791746L;
    
    private String inr;
    
    private String cur;
    
    private BigDecimal amt;
    
    private String sta;
    
    private Date expdat;
    
    private String typ;
    
    private String ptyinr;

    private List<Pty> ptyList;

    private List<Lga> lgaList;

    private List<Lgo> lgoList;



    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getCur() {
        return cur;
    }

    public void setCur(String cur) {
        this.cur = cur;
    }

    public BigDecimal getAmt() {
        return amt;
    }

    public void setAmt(BigDecimal amt) {
        this.amt = amt;
    }

    public String getSta() {
        return sta;
    }

    public void setSta(String sta) {
        this.sta = sta;
    }

    public Date getExpdat() {
        return expdat;
    }

    public void setExpdat(Date expdat) {
        this.expdat = expdat;
    }

    public String getTyp() {
        return typ;
    }

    public void setTyp(String typ) {
        this.typ = typ;
    }

    public String getPtyinr() {
        return ptyinr;
    }

    public void setPtyinr(String ptyinr) {
        this.ptyinr = ptyinr;
    }

    public List<Pty> getPtyList() {
        return ptyList;
    }

    public void setPtyList(List<Pty> ptyList) {
        this.ptyList = ptyList;
    }

    public List<Lga> getLgaList() {
        return lgaList;
    }

    public void setLgaList(List<Lga> lgaList) {
        this.lgaList = lgaList;
    }

    public List<Lgo> getLgoList() {
        return lgoList;
    }

    public void setLgoList(List<Lgo> lgoList) {
        this.lgoList = lgoList;
    }
}

